

DB <- readRDS(file="dataset borderline.RDS")

# Dataset Borderline : 84 Tmoins / 85 BL  (les 22 intermdiaires ont dj t vir  l'article 1 , pour tre cohrent on les remet pas)

table(DB$borderline, exclude = NULL)

# on a que 44 et 45 personnes ayant rpondu au MM
table(!is.na(DB$MM_Delai),DB$borderline)


# LEAS  : 97 personnes ont rpondu (67 T et 30 BL)
table(!is.na(DB$LeasGlobal), DB$borderline) 

# RQ :  82 T et 59 BL
table(!is.na(DB$RQ_mod_autr), DB$borderline) 

# RSQ : 81 T et 56 BL 
table(!is.na(DB$RSQ_mod_autr),DB$borderline)


##################################################################################################
# SCORES SOMMES : ABANDON Et INTRUSION

# ABANDON : PBI_soin_Mere + PBI_soin_Pere + CTQ_EN + CTQ_PN + Maladie + Separations

table(!is.na(DB$PBI_soin_Mere),DB$borderline) # 81 / 59
table(!is.na(DB$PBI_soin_Pere),DB$borderline) # 81 / 53
table(!is.na(DB$CTQ_EN),DB$borderline) # 82 / 57
table(!is.na(DB$CTQ_PN),DB$borderline) # 82 / 57


# INTRUSION : PBI_control Pere + PBI control mere + CTQ_EA + CTQ_SA + CTQ_PA + TS
table(!is.na(DB$PBI_surpro_Mere),DB$borderline) # 81 / 59
table(!is.na(DB$PBI_surpro_Pere),DB$borderline) # 81 / 53
table(!is.na(DB$CTQ_EA),DB$borderline) # 82 / 57
table(!is.na(DB$CTQ_PA),DB$borderline) # 82 / 57
table(!is.na(DB$CTQ_SA),DB$borderline) # 82 / 56


# variables d'intrt :

hist(DB$MM_Succes)
hist(DB$MM_Delai)
hist(DB$LeasGlobal)
hist(DB$LeasSujet)
hist(DB$LeasAutre)
hist(DB$RQ_mod_autr)
hist(DB$RQ_mod_soi)
hist(DB$RSQ_mod_autr)
hist(DB$RSQ_mod_soi)


DBBL <- DB[which(DB$borderline ==1),]
DBT  <- DB[which(DB$borderline ==0),]

c1 <- cor.test(DB$MM_Succes, DB$Score_abandon)
c2 <- cor.test(DB$MM_Succes, DB$Score_intrusion)
c3 <- cor.test(DB$MM_Delai, DB$Score_abandon)
c4 <- cor.test(DB$MM_Delai, DB$Score_intrusion)
c5 <- cor.test(DB$LeasGlobal  , DB$Score_abandon) 
c6 <- cor.test(DB$LeasGlobal  , DB$Score_intrusion) 
c7 <- cor.test(DB$LeasSujet   , DB$Score_abandon)
c8 <- cor.test(DB$LeasSujet   , DB$Score_intrusion)
c9 <- cor.test(DB$LeasAutre   , DB$Score_abandon)
c10 <- cor.test(DB$LeasAutre   , DB$Score_intrusion) 
c11 <- cor.test(DB$RQ_mod_autr , DB$Score_intrusion) 
c12 <- cor.test(DB$RQ_mod_autr , DB$Score_intrusion) 
c13 <- cor.test(DB$RQ_mod_soi  , DB$Score_abandon) 
c14 <- cor.test(DB$RQ_mod_soi  , DB$Score_intrusion) 
c15 <- cor.test(DB$RSQ_mod_autr, DB$Score_abandon)
c16 <- cor.test(DB$RSQ_mod_autr, DB$Score_intrusion)
c17 <- cor.test(DB$RSQ_mod_soi , DB$Score_abandon)
c18 <- cor.test(DB$RSQ_mod_soi , DB$Score_intrusion)

View(rbind(
  c( c1$data.name,round( c1$estimate,4),round( c1$p.value,5)),
  c( c2$data.name,round( c2$estimate,4),round( c2$p.value,5)),
  c( c3$data.name,round( c3$estimate,4),round( c3$p.value,5)),
  c( c4$data.name,round( c4$estimate,4),round( c4$p.value,5)),
  c( c5$data.name,round( c5$estimate,4),round( c5$p.value,5)),
  c( c6$data.name,round( c6$estimate,4),round( c6$p.value,5)),
  c( c7$data.name,round( c7$estimate,4),round( c7$p.value,5)),
  c( c8$data.name,round( c8$estimate,4),round( c8$p.value,5)),
  c( c9$data.name,round( c9$estimate,4),round( c9$p.value,5)),
  c(c10$data.name,round(c10$estimate,4),round(c10$p.value,5)),
  c(c11$data.name,round(c11$estimate,4),round(c11$p.value,5)),
  c(c12$data.name,round(c12$estimate,4),round(c12$p.value,5)),
  c(c13$data.name,round(c13$estimate,4),round(c13$p.value,5)),
  c(c14$data.name,round(c14$estimate,4),round(c14$p.value,5)),
  c(c15$data.name,round(c15$estimate,4),round(c15$p.value,5)),
  c(c16$data.name,round(c16$estimate,4),round(c16$p.value,5)),
  c(c17$data.name,round(c17$estimate,4),round(c17$p.value,5)),
  c(c18$data.name,round(c18$estimate,4),round(c18$p.value,5))
  
))


#modeles pour l'article :


#Modeles
Succes5 <- lm(MM_Succes ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon + Score_intrusion   , data=DB)     
Succes6 <- lm(MM_Succes ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon*borderline +   Score_intrusion*borderline   , data=DB)     

Delai5 <- lm(MM_Delai ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon + Score_intrusion   , data=DB)     
Delai6 <- lm(MM_Delai ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon*borderline +   Score_intrusion*borderline   , data=DB)        

# RsQ
RSQ_mod_autr5 <- lm(RSQ_mod_autr ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon + Score_intrusion   , data=DB)     
RSQ_mod_autr6 <- lm(RSQ_mod_autr ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon*borderline +   Score_intrusion*borderline   , data=DB)        

RSQ_mod_soi5 <- lm(RSQ_mod_soi ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon + Score_intrusion   , data=DB)     
RSQ_mod_soi6 <- lm(RSQ_mod_soi ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon*borderline +   Score_intrusion*borderline   , data=DB)        

#Modeles avec RSQ (TABLE 3)
Annex1 <- lm(MM_Succes ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon + Score_intrusion + RSQ_mod_autr + RSQ_mod_soi  , data=DB)     
Annex2 <- lm(MM_Succes ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon*borderline +   Score_intrusion*borderline  + RSQ_mod_autr + RSQ_mod_soi , data=DB)     
Annex3 <- lm(MM_Delai ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon + Score_intrusion  + RSQ_mod_autr + RSQ_mod_soi , data=DB)     
Annex4 <- lm(MM_Delai ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon*borderline +   Score_intrusion*borderline  + RSQ_mod_autr + RSQ_mod_soi , data=DB)        

#Modeles avec traitement pour l'annexe

#Modeles
Succes5 <- lm(MM_Succes ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon + Score_intrusion + traitement   , data=DB)     
Succes6 <- lm(MM_Succes ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon*borderline +   Score_intrusion*borderline + traitement   , data=DB)     

Delai5 <- lm(MM_Delai ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon + Score_intrusion + traitement   , data=DB)     
Delai6 <- lm(MM_Delai ~age + sexe + CSP_bin2 +  borderline  +  Score_abandon*borderline +   Score_intrusion*borderline + traitement  , data=DB)        



library(MASS)
library(sjPlot)
library(car)

tab_model(
  Succes5,
  Succes6,
  Delai5,
  Delai6
  
  , show.ci = FALSE 
  , show.aic = TRUE 
  , show.stat = TRUE
  # , group.terms = TRUE 
  #, p.style="stars"
  , p.val = "kr"
  , show.df = FALSE
  , file = "modeles___annexe traitement.htm"
  
)

getwd()


tab_model(
  Annex1,
  Annex2,
  Annex3,
  Annex4
  
  
  , show.ci = FALSE 
  , show.aic = TRUE 
  , show.stat = TRUE
  # , group.terms = TRUE 
  #, p.style="stars"
  , p.val = "kr"
  , show.df = FALSE
  , file = "modeles___annex.htm"
  
  
  
)


#====================================================================================================================================
#====================================================================================================================================
# courbes abandon DElai  / Taux de succes INtrusion 

library(ggformula)

DB$BPD <-  as.character(DB$borderline)
DB[which(DB$BPD==1),]$BPD <- "BPD"
DB[which(DB$BPD==0),]$BPD <- "HC"

str(DB$BPD)
str(DB$borderline)


GRAPH_B <- ggplot(DB[which(DB$Score_intrusion<6),], aes(x=Score_intrusion, y= MM_Succes  , shape = BPD ,linetype = BPD)) +
  geom_point(size=2) +
  # geom_spline(aes(Dim.Intrusion,MM_Succes, colour=borderline), df= 3) +
  geom_smooth(method = "lm", formula = y ~ x, se = FALSE) +
  theme_ipsum() +
  ggtitle("Controlling Environment and FER Accuracy")+
  xlab("Controlling Environment Score")   + 
  ylab("FER Accuracy Score")   + 
  theme(plot.title = element_text(size = 12, face = "bold"))  

GRAPH_B


# sensitivity c'est le "contraire" de MM_Delai. 
# j'inverse don MM_DELAI

DB$Sensitivity <- 40 - DB$MM_Delai

GRAPH_C <- ggplot(DB, aes(x=Score_abandon, y= Sensitivity  , shape = BPD ,linetype = BPD)) +
  geom_point(size=2) +
  #  geom_spline(aes(Dim.Abandon,MM_Delai,  colour=borderline), df= 3 ) +
  geom_smooth(method = "lm", formula = y ~ x, se = FALSE) +
  theme_ipsum() +
  ggtitle("Disengaged Environment and FER Sensitivity")+
  xlab("Disengaged Environment Score")   + 
  ylab("FER Sensitivity Score")   +
  theme(plot.title = element_text(size = 12, face = "bold"))  

GRAPH_C



#install.packages("gridExtra")               # Install gridExtra package
library("gridExtra") 
library(ggplot2)
grid.arrange(GRAPH_C + theme(legend.position=c(1.1,0.18)), GRAPH_B + theme(legend.position="none") , ncol = 2)     

#====================================================================================================================================
#====================================================================================================================================



